package com.gic.haoban.manage.api.qdto.moment;

import com.gic.api.base.commons.BasePageInfo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 
 * @ClassName: TabHaobanQwMomentPlan
 * @Description: TODO
 * @Author 徐高华
 * @Date 2025年03月05日 10:27:20
 * @Modify
 * @CopyRight 杭州
 */
public class QwMomentPlanQDTO extends BasePageInfo {

	private String wxEnterpriseId ;

	private String enterpriseId ;

	/**
	 * 活动名称或id
	 */
	private String nameParams ;

	private String nameParamsLike ;

	/**
	 * 执行方式
	 */
	private Integer execType ;

	/**
	 *  1进行中 2终止  0未开始 3 已结束
	 */
	private Integer statusFlag ;

	/**
	 * 开始时间
	 */
	private Date startTime ;

	/**
	 * 结束时间
	 */
	private Date endTime ;

	/**
	 * 创建人
	 */
	private List<String> creatorIdList ;

	/**
	 * 排序字段 完成率:exec_rate 点赞：total_like_count 评论：total_comment_count
	 */
	private String sortColumn ;

	/**
	 * desc / asc
	 */
	private String sortType ;

	public List<String> getCreatorIdList() {
		return creatorIdList;
	}

	public void setCreatorIdList(List<String> creatorIdList) {
		this.creatorIdList = creatorIdList;
	}

	public String getNameParamsLike() {
		return nameParamsLike;
	}

	public void setNameParamsLike(String nameParamsLike) {
		this.nameParamsLike = nameParamsLike;
	}

	public String getWxEnterpriseId() {
		return wxEnterpriseId;
	}

	public void setWxEnterpriseId(String wxEnterpriseId) {
		this.wxEnterpriseId = wxEnterpriseId;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getSortColumn() {
		return sortColumn;
	}

	public void setSortColumn(String sortColumn) {
		this.sortColumn = sortColumn;
	}

	public String getSortType() {
		return sortType;
	}

	public void setSortType(String sortType) {
		this.sortType = sortType;
	}

	public String getNameParams() {
		return nameParams;
	}

	public void setNameParams(String nameParams) {
		this.nameParams = nameParams;
	}

	public Integer getExecType() {
		return execType;
	}

	public void setExecType(Integer execType) {
		this.execType = execType;
	}

	public Integer getStatusFlag() {
		return statusFlag;
	}

	public void setStatusFlag(Integer statusFlag) {
		this.statusFlag = statusFlag;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

}